package org.apache.commons.lang3.time;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.IOException;
import java.util.Calendar;
import org.apache.commons.lang3.time.FastDatePrinter;

class TwoDigitNumberField implements FastDatePrinter.NumberRule {
  private final int mField;
  
  TwoDigitNumberField(int field) {
    this.mField = field;
  }
  
  public int estimateLength() {
    return 2;
  }
  
  public void appendTo(Appendable buffer, Calendar calendar) throws IOException {
    appendTo(buffer, calendar.get(this.mField));
  }
  
  public final void appendTo(Appendable buffer, int value) throws IOException {
    if (value < 100) {
      FastDatePrinter.access$000(buffer, value);
    } else {
      FastDatePrinter.access$100(buffer, value, 2);
    } 
  }
}
